org.apache.xerces.impl.dv.dtd

## Class StringDatatypeValidator

- java.lang.Object
- - org.apache.xerces.impl.dv.dtd.StringDatatypeValidator

- All Implemented Interfaces:
    DatatypeValidator

      public class StringDatatypeValidator
      extends java.lang.Object
      implements DatatypeValidator

  StringValidator validates that XML content is a W3C string type.

  The string datatype represents character strings in XML. The value space of string is the set of finite-length sequences of characters (as defined in [XML 1.0 Recommendation (Second Edition)]) that match the Char production from [XML 1.0 Recommendation (Second Edition)]. A character is an atomic unit of communication; it is not further specified except to note that every character has a corresponding Universal Code Set code point ([ISO 10646],[Unicode] and [Unicode3]), which is an integer.

  Version:
    $Id: StringDatatypeValidator.java 699892 2008-09-28 21:08:27Z mrglavas $

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringDatatypeValidator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `validate(java.lang.String content, ValidationContext context)` Checks that "content" string is valid string value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringDatatypeValidator

          public StringDatatypeValidator()

  - ### Method Detail

    - #### validate

          public void validate(java.lang.String content,
                               ValidationContext context)
                        throws InvalidDatatypeValueException

      Checks that "content" string is valid string value. If invalid a Datatype validation exception is thrown.
      Specified by:
        `validate` in interface `DatatypeValidator`
      Parameters:
        `content` - the string value that needs to be validated
        `context` - the validation context
      Throws:
        `InvalidDatatypeException` - if the content is invalid according to the rules for the validators
        `InvalidDatatypeValueException`
      See Also:
        `InvalidDatatypeValueException`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.